#
# spec file for package python-gitdb
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-gitdb
Version:        0.6.4
Release:        lp151.2.2
Summary:        Git Object Database
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/gitpython-developers/gitdb
Source:         http://pypi.python.org/packages/source/g/gitdb/gitdb-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-smmap >= 0.8.5
Requires:       python-smmap >= 0.8.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
GitDB is a pure-Python git object database

%prep
%setup -q -n gitdb-%{version}

%build
CFLAGS="%{optflags} -fno-strict-aliasing" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE
%{python_sitearch}/*

%changelog
* Tue May  5 2015 benoit.monin@gmx.fr
- update to version 0.6.4:
  * no upstream changelog
- additional changes from version 0.6.1:
  * Fixed possibly critical error, see
    https://github.com/gitpython-developers/GitPython/issues/220
- additional changes from version 0.6.0:
  * Added support got python 3.X
  * Removed all async dependencies and all *_async versions of
    methods with it.
- remove python-async: now unneeded
- set a minimum version for python-smmap: required by upstream
- define python_sitearch only for SLE11
* Thu Nov 24 2011 saschpe@suse.de
- Set license to SDPX style (BSD-3-Clause)
- Remove outdated %%clean section
- Use upstream tarball
* Wed Jul  6 2011 alexandre@exatati.com.br
- Initial package (0.5.4) for openSUSE.
